using System;
using System.Collections.Generic;

namespace takmicenje
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string s1 = Console.ReadLine();
            string s2 = Console.ReadLine();
            int duz1 = s1.Length;
            int duz2 = s2.Length;
            int maxduz = Math.Max(duz1, duz2);
            int pos=0;
            int br=1;
            int n1 = int.Parse(s1);
            int n2 = int.Parse(s2);
            for (int index = 0; index < maxduz - 1; index++)
            {
                while (duz1 > duz2)
                {
                    for (int i = 0; i < duz1; i++)
                    {
                        char[] s3 = s1.ToCharArray();

                        Console.Write(s3[i]);
                        pos++;
                        duz1--;
                    }
                    if (duz1 == duz2 + 1) br = 10;
                    if (duz1 == duz2 + 2) br = 100;
                    if (duz1 == duz2 + 3) br = 1000;
                }
                
                while (duz1 < duz2)
                {
                    for (int i = 0; i < duz2; i++)
                    {
                        char[] s3 = s2.ToCharArray();

                        Console.Write(s3[i]);
                        pos++;
                        duz2--;
                    }
                    if (duz2 == duz1 + 1) br = 10;
                    if (duz2 == duz1 + 2) br = 100;
                    if (duz2 == duz1 + 3) br = 1000;
                }
                int novi_broj = 0;
                novi_broj = n1 % br;
                while (duz1==duz2)
                {
                     
                    char[] s4 = s2.ToCharArray();
                    
                    int max = Math.Max(novi_broj, int.Parse(s4));
                     Console.Write(max);

                    duz1--;
                }

            }




            }
    }
}